# -*-makefile-*-
#
# Copyright (C) 2012 by Dmitry Lavnikevich <d.lavnikevich@sam-solutions.net>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_GST_FSL_PLUGINS) += gst-fsl-plugins

#
# Paths and names
#
GST_FSL_PLUGINS_VERSION	:= 3.0.7
GST_FSL_PLUGINS_MD5	:= 08be9263c609b90e3b3e2e3aa888cd29
GST_FSL_PLUGINS		:= gst-fsl-plugins-$(GST_FSL_PLUGINS_VERSION)
GST_FSL_PLUGINS_SUFFIX	:= tar.gz
GST_FSL_PLUGINS_URL	:= /$(GST_FSL_PLUGINS).$(GST_FSL_PLUGINS_SUFFIX)
GST_FSL_PLUGINS_SOURCE	:= $(SRCDIR)/$(GST_FSL_PLUGINS).$(GST_FSL_PLUGINS_SUFFIX)
GST_FSL_PLUGINS_DIR	:= $(BUILDDIR)/$(GST_FSL_PLUGINS)
GST_FSL_PLUGINS_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(GST_FSL_PLUGINS_SOURCE):
#	@$(call targetinfo)
#	@$(call get, GST_FSL_PLUGINS)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

GST_FSL_PLUGINS_CONF_ENV := \
	$(CROSS_ENV) \
	CPPFLAGS="-I$(KERNEL_HEADERS_INCLUDE_DIR) $(CROSS_CPPFLAGS)"

#
# autoconf
#
GST_FSL_PLUGINS_CONF_TOOL := autoconf
GST_FSL_PLUGINS_CONF_OPT  := $(CROSS_AUTOCONF_USR) PLATFORM=MX6


#$(STATEDIR)/gst-fsl-plugins.prepare:
#	@$(call targetinfo)
#	@$(call clean, $(GST_FSL_PLUGINS_DIR)/config.cache)
#	cd $(GST_FSL_PLUGINS_DIR) && \
#		$(GST_FSL_PLUGINS_PATH) $(GST_FSL_PLUGINS_ENV) \
#		./configure $(GST_FSL_PLUGINS_CONF_OPT)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

#$(STATEDIR)/gst-fsl-plugins.compile:
#	@$(call targetinfo)
#	@$(call world/compile, GST_FSL_PLUGINS)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

#$(STATEDIR)/gst-fsl-plugins.install:
#	@$(call targetinfo)
#	@$(call world/install, GST_FSL_PLUGINS)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/gst-fsl-plugins.targetinstall:
	@$(call targetinfo)

	@$(call install_init, gst-fsl-plugins)
	@$(call install_fixup, gst-fsl-plugins,PRIORITY,optional)
	@$(call install_fixup, gst-fsl-plugins,SECTION,base)
	@$(call install_fixup, gst-fsl-plugins,AUTHOR,"Dmitry Lavnikevich <d.lavnikevich@sam-solutions.net>")
	@$(call install_fixup, gst-fsl-plugins,DESCRIPTION,missing)

#	Core libraries
	@$(call install_copy, gst-fsl-plugins, 0, 0, 0755, $(GST_FSL_PLUGINS_DIR)/tools/gplay/.libs/libgplaycore.so.0.0.1, \
	 						  /usr/lib/libgplaycore.so.0.0.1)
	@$(call install_link, gst-fsl-plugins, libgplaycore.so.0.0.1, /usr/lib/libgplaycore.so.0)
	@$(call install_link, gst-fsl-plugins, libgplaycore.so.0.0.1, /usr/lib/libgplaycore.so)


	@$(call install_copy, gst-fsl-plugins, 0, 0, 0755, $(GST_FSL_PLUGINS_DIR)/tools/gplay/.libs/libgplaycore.so.0, \
							  /usr/lib/libgplaycore.so.0)
	@$(call install_copy, gst-fsl-plugins, libgplaycore.so.0, /usr/lib/libgplaycore.so)

	@$(call install_copy, gst-fsl-plugins, 0, 0, 0755, $(GST_FSL_PLUGINS_DIR)/libs/.libs/libgstfsl-0.10.so.0.0.1, \
	 						  /usr/lib/libgstfsl-0.10.so.0.0.1)
	@$(call install_link, gst-fsl-plugins, libgstfsl-0.10.so.0.0.1, /usr/lib/libgstfsl-0.10.so.0)
	@$(call install_link, gst-fsl-plugins, libgstfsl-0.10.so.0.0.1, /usr/lib/libgstfsl-0.10.so)

# Audio plugins
	@$(call install_copy, gst-fsl-plugins, 0, 0, 0755, $(GST_FSL_PLUGINS_DIR)/src/audio/mp3_dec/src/.libs/libmfw_gst_mp3dec.so, \
							  /usr/lib/gstreamer-0.10/libmfw_gst_mp3dec.so)
	@$(call install_copy, gst-fsl-plugins, 0, 0, 0755, $(GST_FSL_PLUGINS_DIR)/src/audio/mp3_enc/src/.libs/libmfw_gst_mp3enc.so, \
							  /usr/lib/gstreamer-0.10/libmfw_gst_mp3enc.so)
	@$(call install_copy, gst-fsl-plugins, 0, 0, 0755, $(GST_FSL_PLUGINS_DIR)/src/audio/audio_pp/src/.libs/libmfw_gst_audio_pp.so, \
							  /usr/lib/gstreamer-0.10/libmfw_gst_audio_pp.so)
	@$(call install_copy, gst-fsl-plugins, 0, 0, 0755, $(GST_FSL_PLUGINS_DIR)/src/audio/aac_dec/src/.libs/libmfw_gst_aacdec.so, \
							  /usr/lib/gstreamer-0.10/libmfw_gst_aacdec.so)
	@$(call install_copy, gst-fsl-plugins, 0, 0, 0755, $(GST_FSL_PLUGINS_DIR)/src/audio/beep/src/.libs/libmfw_gst_beep.so, \
							  /usr/lib/gstreamer-0.10/libmfw_gst_beep.so)
	@$(call install_copy, gst-fsl-plugins, 0, 0, 0755, $(GST_FSL_PLUGINS_DIR)/src/audio/vorbis_dec/src/.libs/libmfw_gst_vorbisdec.so, \
							  /usr/lib/gstreamer-0.10/libmfw_gst_vorbisdec.so)
	@$(call install_copy, gst-fsl-plugins, 0, 0, 0755, $(GST_FSL_PLUGINS_DIR)/src/audio/amr_dec/src/.libs/libmfw_gst_amrdec.so, \
							  /usr/lib/gstreamer-0.10/libmfw_gst_amrdec.so)

# Parser plugins
	@$(call install_copy, gst-fsl-plugins, 0, 0, 0755, $(GST_FSL_PLUGINS_DIR)/src/parser/aiur/src/.libs/libmfw_gst_aiur_demux.so, \
							  /usr/lib/gstreamer-0.10/libmfw_gst_aiur_demux.so)

# Freescale isink-plugins
	@$(call install_copy, gst-fsl-plugins, 0, 0, 0755, $(GST_FSL_PLUGINS_DIR)/src/misc/i_sink/src/.libs/libmfw_gst_isink.so, \
							  /usr/lib/gstreamer-0.10/libmfw_gst_isink.so)
# Freescale colorspace conversion plugin 
	@$(call install_copy, gst-fsl-plugins, 0, 0, 0755, $(GST_FSL_PLUGINS_DIR)/src/video/ipu_csc/src/.libs/libmfw_gst_ipu_csc.so, \
							  /usr/lib/gstreamer-0.10/libmfw_gst_ipu_csc.so)
# V4L-plugins
#	@$(call install_copy, gst-fsl-plugins, 0, 0, 0755, $(GST_FSL_PLUGINS_DIR)/src/parser/aiur/src/.libs/libmfw_gst_v4lsink.so, \
#							  /usr/lib/gstreamer-0.10/libmfw_gst_v4lsink.so)
#	@$(call install_copy, gst-fsl-plugins, 0, 0, 0755, $(GST_FSL_PLUGINS_DIR)/src/parser/aiur/src/.libs/libmfw_gst_v4lsrc.so, \
#							  /usr/lib/gstreamer-0.10/libmfw_gst_v4lsrc.so)

# Video plugins
	@$(call install_copy, gst-fsl-plugins, 0, 0, 0755, $(GST_FSL_PLUGINS_DIR)/src/video/vpu/src/.libs/libmfw_vpu.so, \
							  /usr/lib/gstreamer-0.10/libmfw_vpu.so)

# Configs
	@$(call install_copy, gst-fsl-plugins, 0, 0, 0755, $(GST_FSL_PLUGINS_DIR)/src/audio/beep/src/beep_registry.arm11.cf, \
							  /usr/share/beep_registry.arm11.cf)
	@$(call install_copy, gst-fsl-plugins, 0, 0, 0755, $(GST_FSL_PLUGINS_DIR)/src/parser/aiur/src/aiur_registry.arm11.cf, \
							  /usr/share/aiur_registry.arm11.cf)
	@$(call install_copy, gst-fsl-plugins, 0, 0, 0755, $(GST_FSL_PLUGINS_DIR)/src/parser/aiur/src/aiur_registry.arm11.cf, \
							  /usr/share/aiur_registry.arm9.cf)
	@$(call install_copy, gst-fsl-plugins, 0, 0, 0755, $(GST_FSL_PLUGINS_DIR)/src/audio/beep/src/beep_registry.arm12.cf, \
							  /usr/share/beep_registry.arm12.cf)
	@$(call install_copy, gst-fsl-plugins, 0, 0, 0755, $(GST_FSL_PLUGINS_DIR)/libs/vss/vssconfig, \
							  /usr/share/vssconfig)
	@$(call install_copy, gst-fsl-plugins, 0, 0, 0755, $(GST_FSL_PLUGINS_DIR)/libs/vss/vssconfig.dvi_tv, \
							  /usr/share/vssconfig.dvi_tv)
	@$(call install_copy, gst-fsl-plugins, 0, 0, 0755, $(GST_FSL_PLUGINS_DIR)/libs/vss/vssconfig.dvi_wvga, \
							  /usr/share/vssconfig.dvi_wvga)

# Tools 
	@$(call install_copy, gst-fsl-plugins, 0, 0, 0755, $(GST_FSL_PLUGINS_DIR)/tools/gplay/gplay, \
							  /usr/bin/gplay)

	@$(call install_finish, gst-fsl-plugins)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/gst-fsl-plugins.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, GST_FSL_PLUGINS)

# vim: syntax=make
